summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: d3d8f36)
raw | patch | inline | side by side (parent: d3d8f36)
author | Eric W. Biederman <ebiederm@xmission.com> | |
Wed, 17 May 2006 20:10:25 +0000 (14:10 -0600) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Fri, 19 May 2006 05:55:57 +0000 (22:55 -0700) |
Since large quilt trees like -mm can easily have patches
without clear authorship information, add a --dry-run
option to make the problem patches easy to find.
Signed-off-by: Junio C Hamano <junkio@cox.net>
without clear authorship information, add a --dry-run
option to make the problem patches easy to find.
Signed-off-by: Junio C Hamano <junkio@cox.net>
Documentation/git-quiltimport.txt | patch | blob | history | |
git-quiltimport.sh | patch | blob | history |
index c66c82c61dfcde03ecac67371939a93a3180b54c..6e9a8c369a38e85c003c451b414fd58c24445aba 100644 (file)
SYNOPSIS
--------
[verse]
-'git-quiltimport' [--author <author>] [--patches <dir>]
+'git-quiltimport' [--dry-run] [--author <author>] [--patches <dir>]
DESCRIPTION
OPTIONS
-------
+--dry-run::
+ Walk through the patches in the series and warn
+ if we cannot find all of the necessary information to commit
+ a patch. At the time of this writing only missing author
+ information is warned about.
+
--author Author Name <Author Email>::
The author name and email address to use when no author
information can be found in the patch description.
diff --git a/git-quiltimport.sh b/git-quiltimport.sh
index dd4a198fb173db8513d3f8edc74bc591f6b15d1c..12d9d0cbc9e0c5df0f1094f3ff4235d8657c896e 100755 (executable)
--- a/git-quiltimport.sh
+++ b/git-quiltimport.sh
#!/bin/sh
-USAGE='--author <author> --patches </path/to/quilt/patch/directory>'
+USAGE='--dry-run --author <author> --patches </path/to/quilt/patch/directory>'
SUBDIRECTORY_ON=Yes
. git-sh-setup
+dry_run=""
quilt_author=""
while case "$#" in 0) break;; esac
do
shift
;;
+ --dry-run)
+ shift
+ dry_run=1
+ ;;
+
--pa=*|--pat=*|--patc=*|--patch=*|--patche=*|--patches=*)
QUILT_PATCHES=$(expr "$1" : '-[^=]*\(.*\)')
shift
if [ -n "$quilt_author" ] ; then
GIT_AUTHOR_NAME="$quilt_author_name";
GIT_AUTHOR_EMAIL="$quilt_author_email";
+ elif [ -n "$dry_run" ]; then
+ echo "No author found in $patch_name" >&2;
+ GIT_AUTHOR_NAME="dry-run-not-found";
+ GIT_AUTHOR_EMAIL="dry-run-not-found";
else
- echo "No author found in $patch_name";
+ echo "No author found in $patch_name" >&2;
echo "---"
cat $tmp_msg
echo -n "Author: ";
SUBJECT=$(echo $patch_name | sed -e 's/.patch$//')
fi
- git-apply --index -C1 "$tmp_patch" &&
- tree=$(git-write-tree) &&
- commit=$((echo "$SUBJECT"; echo; cat "$tmp_msg") | git-commit-tree $tree -p $commit) &&
- git-update-ref HEAD $commit || exit 4
+ if [ -z "$dry_run" ] ; then
+ git-apply --index -C1 "$tmp_patch" &&
+ tree=$(git-write-tree) &&
+ commit=$((echo "$SUBJECT"; echo; cat "$tmp_msg") | git-commit-tree $tree -p $commit) &&
+ git-update-ref HEAD $commit || exit 4
+ fi
done
rm -rf $tmp_dir || exit 5